- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- StoreView
Lists stores.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/stores
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand, which owns this collection of stores. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of menus to return. The service may return fewer than this value. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. Filter expression based on AIP-160. Allows filtering stores based on various attributes. Supported Filter Fields:
Logical Operators: Conditions can be combined using |
view |
Optional. The view to return for the stores. |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListStores.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"stores": [
{
object ( |
| Fields | |
|---|---|
stores[] |
The stores from the specified collection. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
StoreView
Specifies the level of detail to return for stores.
| Enums | |
|---|---|
STORE_VIEW_UNSPECIFIED |
The default / unset value. The API will default to the FULL view. |
STORE_VIEW_GEO_ONLY |
Only return the store name, latitude, and longitude. This view allows a larger page size (up to 10k). |
STORE_VIEW_FULL |
Include everything. This is the default value. |